Subject: Re: bug#13167: 24.3.50; C-x right C-x left interferes with buffer order

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Jan 2024 19:01:25 +0200

>> 10. C-x left
>> 11. q
>>
>> And again `*Messages*' instead of the expected *scratch*.
>>
>> So the question is why `*Messages*' gets in the way
>> in the list of previous buffers.
>
> Ten years later, is still an issue on a modern version of Emacs?

Yes, and now some users of the tab-line complain about the same issue too.

So we need to add a new option to switch to the alternative behavior.